Add UIN (Unique Identification Number) to the Assembly Order
PUT /api/v3/orders/{orderId}/meta/uinBase URL: https://marketplace-api.wildberries.ru · Module: orders-fbs · Section: FBS Label Identifiers · Specification doc ↗
Sets the UIN for the assembly order. The assembly order can only have one UIN. You can add UIN to the assembly order only if the uin field is returned in the response of the Assembly Order Label Identifiers method, and the assembly order is in the confirm status.
Request limit per one seller account for all methods for adding FBS label identifiers:
| Period | Limit | Interval | Burst |
|---|---|---|---|
| 1 min | 1000 requests | 60 ms | 20 requests |
One request with 4XX response codes is counted as 10 requests. |
In Sandbox — maximum of 1 request per second for all Marketplace methods in total.
Request body
application/json — schema object, required
uinstring(required) — UIN
Responses
| Code | Description | Schema |
|---|---|---|
204 | Updated | — |
400 | Bad request | Error |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | Error |
409 | Error updating label identifiers | Error |
429 | Too many requests | object |
Structure 400:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 409:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
from wb_api_client.orders_fbs import Configuration, ApiClient
from wb_api_client.orders_fbs.api import OrdersFbsApi
cfg = Configuration(access_token="<your WB JWT>")
api = OrdersFbsApi(ApiClient(cfg))
result = api.put_v3_orders_order_id_meta_uin(order_id=..., put_v3_orders_order_id_meta_uin_request=...)
print(result)import {
Configuration,
OrdersFbsApi,
} from "@valeryverkhoturov/wb-api-client/orders-fbs";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new OrdersFbsApi(cfg);
const { data } = await api.putV3OrdersOrderIdMetaUin(orderId, putV3OrdersOrderIdMetaUinRequest);
console.log(data);import (
"context"
"fmt"
wbordersfbs "github.com/ValeryVerkhoturov/wb-api-client-go/orders_fbs"
)
cfg := wbordersfbs.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbordersfbs.NewAPIClient(cfg)
result, _, err := client.OrdersFbsAPI.PutV3OrdersOrderIdMetaUin(context.Background(), orderId).PutV3OrdersOrderIdMetaUinRequest(putV3OrdersOrderIdMetaUinRequest).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)import io.github.valeryverkhoturov.wbapi.orders_fbs.ApiClient;
import io.github.valeryverkhoturov.wbapi.orders_fbs.SecretString;
import io.github.valeryverkhoturov.wbapi.orders_fbs.api.OrdersFbsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
OrdersFbsApi api = new OrdersFbsApi(client);
System.out.println(api.putV3OrdersOrderIdMetaUin(orderId, putV3OrdersOrderIdMetaUinRequest));use ValeryVerkhoturov\WbApiClient\OrdersFbs\Configuration;
use ValeryVerkhoturov\WbApiClient\OrdersFbs\SecretString;
use ValeryVerkhoturov\WbApiClient\OrdersFbs\Api\OrdersFbsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new OrdersFbsApi(new Client(), $config);
print_r($api->putV3OrdersOrderIdMetaUin($order_id, $put_v3_orders_order_id_meta_uin_request));#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый OrdersFbsApi(Настройки);
Сообщить(Клиент.PutV3OrdersOrderIdMetaUin(orderId, Тело).Тело);using ValeryVerkhoturov.WbApiClient.OrdersFbs.Api;
using ValeryVerkhoturov.WbApiClient.OrdersFbs.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new OrdersFbsApi(config);
Console.WriteLine(api.PutV3OrdersOrderIdMetaUin(orderId, putV3OrdersOrderIdMetaUinRequest));use wb_api_client::orders_fbs::apis::{configuration::Configuration, orders_fbs_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = orders_fbs_api::put_v3_orders_order_id_meta_uin(&cfg, order_id, put_v3_orders_order_id_meta_uin_request).await;
println!("{:#?}", result);
}